PCP-TAPESTAT(1)

NAME
pcp-tapestat - performance metrics i/o tape statistics tool

SYNOPSIS
pcp-tapestat [-A align --align=TIME] [-a archive --archive=FILE] [-G method --aggregate=method] [-h host --host=HOST] [-O offset --origin=TIME] [-S starttime --start=TIME] [-s samples --samples=N] [-T endtime --finish=TIME] [-t interval --interval=DELTA] [-P precision --precision=N] [-R pattern --regex=pattern] [-u --no-interpolate] [-Z timezone --timezone=TZ] [-z --hostzone] [-? --help] [-x [t][,h][,noidle]]

DESCRIPTION
pcp-tapestat reports I/O statistics for tape devices By default pcp-tapestat reports live data for the local host but can also report for a remote host (-h) or from a previously captured PCP archive (-a).

The -S, -T, -O and -A options may be used to define a time window to restrict the samples retrieved, set an initial origin within the time window, or specify a ``natural'' alignment of the sample times; refer to PCPIntro(1) for a complete description of these options.

The other options which control the source, timing and layout of the information reported by pcp-tapestat are as follows:

-a  Performance metric values are retrieved from the Performance Co-Pilot (PCP) archive log files identified by the argument archive, which is a comma-separated list of names, each of which may be the base name of an archive or the name of a directory containing one or more archives. See also -u.

-G  Specifies that statistics for device names matching the regular expression specified with the -R regex option should be aggregated according to method. Note this is aggregation based on matching device names (not temporal aggregation). When -G is used, the device name column is reported as method(regex), e.g. if -G sum -R 'st(0|1)$' is specified, the device column will be sum(st(0|1)$) and summed statistics for st0 and st1 will be reported in the remaining columns. If -G is specified but -R is not specified, then the default regex is .*, i.e. matching all device names. If method is sum then the statistics are summed. If method is avg then the statistics are summed and then averaged by dividing by the number of matching device names. If method is min or max, the minimum or maximum statistics for matching devices are reported, respectfully.

-h  Current performance metric values are retrieved from the nominated host machine.

-s  The argument samples defines the number of samples to be retrieved and reported. If samples is 0 or -s is not specified, pcp-tapestat will sample and report continuously (in real time mode) or until the end of the set of PCP archives (in archive mode).

-t  The default update interval may be set to something other than the default 1 second. The interval argument follows the syntax described in PCPIntro(1), and in the simplest form may be an unsigned integer (the implied units in this case are seconds). The -t option is particularly useful when replaying large sets of archives (-a option) that span several hours or even days. In this case specifying a large interval (e.g. 1h for 1 hour) will reduce the volume of data reported and the tape i/o statistics will be averaged (interpolated) over the reporting interval (unless the -u option is specified, see below).

-R  This restricts the report to device names matching regex. The regex pattern is searched as a perl style regular expression, and will match any portion of a device name. e.g. '^st[0-9]+' will match all device names starting with 'st' followed by one or more numbers. e.g. '^st(0|1)$' will only match 'st0' and 'st1'. e.g. 'st0$' will match 'st0' but not 'st1'. See also the -G option for aggregation options.

-P  This indicates the number of decimals to print. The default precision N may be set to something other than the default 2 decimals. Note that the avgrq-sz and avgqu-sz fields are always reported with N+1 decimals of precision. These fields typically have values less than 1.0.

-u  When replaying a set of archives, by default values are reported according to the selected sample interval (-t option), not according to the actual record intervals in the set of archives. To this effect PCP interpolates the values to be reported based on the records in the set of archives, and is particularly useful when the -t option is used to replay a set of archives with a longer sampling interval than the underlying interval the set of archives was originally recorded with. With the -u option, uninterpolated reporting is enabled - every value is reported according to the native recording interval in the set of archives. When the -u option is specified, the -t option makes no sense and is incompatible because the replay interval is always the same as the recording interval in the set of archive. In addition, -u only makes sense when replaying a set of archives, see -a above, and so if -u is specified then -a must also be specified.

-Z  By default, pcp-tapestat reports the time of day according to the local timezone on the system where pcp-tapestat is run. The -Z option changes the timezone to timezone in the format of the environment variable TZ as described in environ(7).

-z  Change the reporting timezone to the local timezone at the host that is the source of the performance metrics, as identified via either the -h or -a options. When replaying a PCP archive that was captured in a foreign timezone, the -z option would almost always be used (the default reporting timezone is the local timezone, which may not be the same as the timezone of the PCP archive).

-x  Specifies a comma separated list of one or more extended reporting options as follows:
    t - prefix every line in the report with a timestamp in ctime(3) format,
    h - omit the heading, which is otherwise reported every 24 samples,
    noidle - Do not display statistics for idle devices.

REPORT
The columns in the pcp-tapestat report have the following interpretation :

Timestamp
    When the -x t option is specified, this column is the timestamp in ctime(3) format.

Device
    Specifies the tape device name When -G is specified, this is replaced by the aggregation method and regular expression - see the -G and -R options above.

r/s The number of reads issued expressed as the number per second averaged over the interval.

w/s The number of writes issued expressed as the number per second averaged over the interval.

kb_r/s
    The amount of data read expressed in kilobytes per second averaged over the interval.

kb_w/s
    The amount of data written expressed in kilobytes per second averaged over the interval.

r_pct
    Read percentage wait - The percentage of time over the interval spent waiting for read requests to complete. The time is measured from when the request is dispatched to the SCSI mid-layer until it signals that it completed.

w_pct
    Write percentage wait - The percentage of time over the interval spent waiting for write requests to complete. The time is measured from when the request is dispatched to the SCSI mid-layer until it signals that it completed.

o_pct
    Overall percentage wait - The percentage of time over the interval spent waiting for any I/O request to complete (read, write, and other).

Rs/s
    The number of I/Os, expressed as the number per second averaged over the interval, where a non-zero residual value was encountered.

o_cnt
    The number of I/Os, expressed as the number per second averaged over the interval, that were included as "other". Other I/O includes ioctl calls made to the tape driver and implicit operations performed by the tape driver such as rewind on close (for tape devices that implement rewind on close). It does not include any I/O performed using methods outside of the tape driver (e.g. via sg ioctls).

FILES
$PCP_VAR_DIR/pmns/*
    default PMNS specification files

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
pcp(1), PCPIntro(1), pmcd(1), pmchart(1), pmlogger(1), pcp.conf(5) and pcp.env(5).

DIAGNOSTICS
All are generated on standard error and are intended to be self-explanatory.